<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtygis.mapper.CostprestationMapper">

    <resultMap id="costprestationMap" type="com.tofly.xrtygis.entity.Costprestation">
        <id property="id" column="ID"/>
        <result property="upDate" column="UP_DATE"/>
        <result property="preType" column="PRE_TYPE"/>
        <result property="preStcd" column="PRE_STCD"/>
        <result property="gsl" column="GSL"/>
        <result property="dl" column="DL"/>
        <result property="dwhd" column="DWHD"/>
        <result property="fdsc" column="FDSC"/>
        <result property="fdyyl" column="FDYYL"/>
        <result property="gscb" column="GSCB"/>
        <result property="gslMax" column="GSL_MAX"/>
        <result property="gslMin" column="GSL_MIN"/>
        <result property="gslAvg" column="GSL_AVG"/>
        <result property="createTime" column="CREATE_TIME"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="mark" column="MARK"/>
        <result property="sjje" column="SJJE"/>
        <result property="sjdl" column="SJDL"/>
        <result property="sjdh" column="SJDH"/>
        <result property="ygcb" column="YGCB"/>
        <association property="preName" column="PRE_TYPE"
                     select="com.tofly.xrtygis.mapper.ScadastationMapper.stationName"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName"/>
    </resultMap>


</mapper>
